Package org.springframework.http.server.reactive

# Class ReactorNetty2HttpHandlerAdapter

java.lang.Object
org.springframework.http.server.reactive.ReactorNetty2HttpHandlerAdapter

All Implemented Interfaces:
  `BiFunction<reactor.netty5.http.server.HttpServerRequest,reactor.netty5.http.server.HttpServerResponse,reactor.core.publisher.Mono<Void>>`

public class ReactorNetty2HttpHandlerAdapter extends Object implements BiFunction<reactor.netty5.http.server.HttpServerRequest,reactor.netty5.http.server.HttpServerResponse,reactor.core.publisher.Mono<Void>>
Adapt `HttpHandler` to the Reactor Netty 5 channel handling function.

This class is based on `ReactorHttpHandlerAdapter`.

Since:
  6.0
Author:
  Violeta Georgieva

## Constructor Summary

Constructors
Constructor
Description
`ReactorNetty2HttpHandlerAdapter(HttpHandler httpHandler)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`apply(reactor.netty5.http.server.HttpServerRequest reactorRequest, reactor.netty5.http.server.HttpServerResponse reactorResponse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Constructor Details

### ReactorNetty2HttpHandlerAdapter

public ReactorNetty2HttpHandlerAdapter(HttpHandler httpHandler)

## Method Details

### apply

public reactor.core.publisher.Mono<Void> apply(reactor.netty5.http.server.HttpServerRequest reactorRequest, reactor.netty5.http.server.HttpServerResponse reactorResponse)

Specified by:
  `apply` in interface `BiFunction<reactor.netty5.http.server.HttpServerRequest,reactor.netty5.http.server.HttpServerResponse,reactor.core.publisher.Mono<Void>>`